<?php
//Label
$agrs->add_control(
	str_replace( ' ', '_', $label ) . '_subtitle',
	[ 
		'type' => \Elementor\Controls_Manager::HEADING,
		'label' => __( $label, 'ostech-addon' ),
		'separator' => 'after',
		'condition' => [ 
			'layout_type' => $condition
		]
	]
);

$agrs->add_responsive_control(
	str_replace( ' ', '_', $label ) . '_padding',
	[ 
		'label' => __( ' Padding', 'ostech-addon' ),
		'type' => \Elementor\Controls_Manager::DIMENSIONS,
		'size_units' => [ 'px', 'em', '%' ],
		'selectors' => [ 
			$selector => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
		],
		'condition' => [ 
			'layout_type' => $condition
		]
	]
);

$agrs->add_responsive_control(
	str_replace( ' ', '_', $label ) . '_margin',
	[ 
		'label' => __( ' Margin', 'ostech-addon' ),
		'type' => \Elementor\Controls_Manager::DIMENSIONS,
		'size_units' => [ 'px', 'em', '%' ],
		'selectors' => [ 
			$selector => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
		],
		'condition' => [ 
			'layout_type' => $condition
		]
	]
);

if ( $typo ) :
	$agrs->add_group_control(
		\Elementor\Group_Control_Typography::get_type(),
		[ 
			'name' => str_replace( ' ', '_', $label ) . '_typo',
			'label' => esc_html__( ' Typography', 'ostech-addon' ),
			'selector' => $selector,
			'condition' => [ 
				'layout_type' => $condition
			]
		]
	);

endif;
if ( $color ) :
	$agrs->add_control(
		str_replace( ' ', '_', $label ) . '_color',
		[ 
			'label' => __( 'Color', 'ostech-addon' ),
			'type' => \Elementor\Controls_Manager::COLOR,
			'selectors' => [ 
				$selector => $style . ': {{VALUE}}',
			],
			'condition' => [ 
				'layout_type' => $condition
			]
		]
	);
endif;